List statistics metrics
Returns the catalogue of statistics metrics available to the shop. Each metric has an id (<group>.<category>.<metric>), the filters it accepts (availableFilters) and the widgets it can be displayed with (availableWidgets: kpi, chart, table). Use these values in getStatsWidgetData. In the default grouped view, a custom group is added when the shop has custom KPIs or custom data definitions. The flat view returns the legacy list of widgets.
Parameters
Header Parameters
[Authentication] Required API key, in the form {prefix}.{secret}.
"a1b2c3d4.xK9pR2mVn6QwErTyUiOpAsDfGhJkLzXcVbNmQwErTyU""^[a-zA-Z0-9]{8}\\.[A-Za-z0-9_-]+$"Query Parameters
Choose between the new grouped representation (default) or the legacy flat list of widgets.
"grouped""flat"Responses
List statistics metrics Returns the catalogue of statistics metrics available to the shop. Each metric has an id (<group>.<category>.<metric>), the filters it accepts (availableFilters) and the widgets it can be displayed with (availableWidgets: kpi, chart, table). Use these values in getStatsWidgetData. In the default grouped view, a custom group is added when the shop has custom KPIs or custom data definitions. The flat view returns the legacy list of widgets. GET /v1/stats/predefined-metrics listStatsMetrics Stats spm-api-key [Authentication] Required API key, in the form {prefix}.{secret}. view Choose between the new grouped representation (default) or the legacy flat list of widgets. Client error - Invalid request or authentication issues Server error - Internal processing failure